## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSoundListener Struct Reference

The sound listener is a unique object created by the sound renderer. More...

`#include <isound/listener.h>`

Inheritance diagram for iSoundListener:

[legend]
List of all members.

## Public Member Functions

virtual void | GetDirection (csVector3 &Front, csVector3 &Top)=0
| Get direction of listener (front and top 3d vectors).
virtual float | GetDistanceFactor ()=0
| Get a distance attenuator.
virtual float | GetDopplerFactor ()=0
| Get the Doppler attenuator.
virtual csSoundEnvironment | GetEnvironment ()=0
| Get type of environment where 'live' listener.
virtual float | GetHeadSize ()=0
| Get distance between the 2 'ears' of listener.
virtual const csVector3 & | GetPosition ()=0
| Get position of listener.
virtual float | GetRollOffFactor ()=0
| Get a RollOff factor.
virtual const csVector3 & | GetVelocity ()=0
| Get velocity of listener.
virtual void | SetDirection (const csVector3 &Front, const csVector3 &Top)=0
| Set direction of listener (front and top 3d vectors).
virtual void | SetDistanceFactor (float factor)=0
| Set a distance attenuator.
virtual void | SetDopplerFactor (float factor)=0
| Set the Doppler attenuator.
virtual void | SetEnvironment (csSoundEnvironment env)=0
| set type of environment where 'live' listener
virtual void | SetHeadSize (float size)=0
| Set distance between the 2 'ears' of listener.
virtual void | SetPosition (const csVector3 &pos)=0
| Set position of listener.
virtual void | SetRollOffFactor (float factor)=0
| Set a RollOff factor.
virtual void | SetVelocity (const csVector3 &v)=0
| Set velocity of listener.

## Detailed Description

The sound listener is a unique object created by the sound renderer.

It can be used to setup 'yourself' (the player) for 3d sound: position, orientation, speed and environment effects.

Definition at line 63 of file listener.h.

## Member Function Documentation

virtual void iSoundListener::GetDirection | ( | csVector3 & | Front,
|  | csVector3 & | Top
| ) | `[pure virtual]`

| Get direction of listener (front and top 3d vectors). Implemented in csSoundListener.

virtual float iSoundListener::GetDistanceFactor | ( |  | ) | `[pure virtual]`

| Get a distance attenuator. Implemented in csSoundListener.

virtual float iSoundListener::GetDopplerFactor | ( |  | ) | `[pure virtual]`

| Get the Doppler attenuator. Implemented in csSoundListener.

virtual csSoundEnvironment iSoundListener::GetEnvironment | ( |  | ) | `[pure virtual]`

| Get type of environment where 'live' listener. Implemented in csSoundListener.

virtual float iSoundListener::GetHeadSize | ( |  | ) | `[pure virtual]`

| Get distance between the 2 'ears' of listener. Implemented in csSoundListener.

virtual const csVector3& iSoundListener::GetPosition | ( |  | ) | `[pure virtual]`

| Get position of listener. Implemented in csSoundListener.

virtual float iSoundListener::GetRollOffFactor | ( |  | ) | `[pure virtual]`

| Get a RollOff factor. Implemented in csSoundListener.

virtual const csVector3& iSoundListener::GetVelocity | ( |  | ) | `[pure virtual]`

| Get velocity of listener. Implemented in csSoundListener.

virtual void iSoundListener::SetDirection | ( | const csVector3 & | Front,
|  | const csVector3 & | Top
| ) | `[pure virtual]`

| Set direction of listener (front and top 3d vectors). Implemented in csSoundListener.

virtual void iSoundListener::SetDistanceFactor | ( | float | factor | ) | `[pure virtual]`

| Set a distance attenuator. Implemented in csSoundListener.

virtual void iSoundListener::SetDopplerFactor | ( | float | factor | ) | `[pure virtual]`

| Set the Doppler attenuator. Implemented in csSoundListener.

virtual void iSoundListener::SetEnvironment | ( | csSoundEnvironment | env | ) | `[pure virtual]`

| set type of environment where 'live' listener Implemented in csSoundListener.

virtual void iSoundListener::SetHeadSize | ( | float | size | ) | `[pure virtual]`

| Set distance between the 2 'ears' of listener. Implemented in csSoundListener.

virtual void iSoundListener::SetPosition | ( | const csVector3 & | pos | ) | `[pure virtual]`

| Set position of listener. Implemented in csSoundListener.

virtual void iSoundListener::SetRollOffFactor | ( | float | factor | ) | `[pure virtual]`

| Set a RollOff factor. Implemented in csSoundListener.

virtual void iSoundListener::SetVelocity | ( | const csVector3 & | v | ) | `[pure virtual]`

| Set velocity of listener. Implemented in csSoundListener.

The documentation for this struct was generated from the following file:

- isound/listener.h